VST 3 SDK: FactoryInfo Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | List of all members
FactoryInfo Class Reference

`#include <module.h>`

## Public Types
using | PFactoryInfo = Steinberg::PFactoryInfo

## Public Member Functions
| FactoryInfo () noexcept
| ~FactoryInfo () noexcept
| FactoryInfo (const FactoryInfo &) noexcept=default
| FactoryInfo (PFactoryInfo &&) noexcept
| FactoryInfo (FactoryInfo &&) noexcept=default
FactoryInfo & | operator= (const FactoryInfo &) noexcept=default
FactoryInfo & | operator= (FactoryInfo &&) noexcept
FactoryInfo & | operator= (PFactoryInfo &&) noexcept
std::string | vendor () const noexcept
std::string | url () const noexcept
std::string | email () const noexcept
Steinberg::int32 | flags () const noexcept
bool | classesDiscardable () const noexcept
bool | licenseCheck () const noexcept
bool | componentNonDiscardable () const noexcept
PFactoryInfo & | get () noexcept

## Member Typedef Documentation

using PFactoryInfo = Steinberg::PFactoryInfo

## Constructor & Destructor Documentation

FactoryInfo | ( |  | ) |
| inlinenoexcept

~FactoryInfo | ( |  | ) |
| inlinenoexcept

FactoryInfo | ( | const FactoryInfo & |  | ) |
| defaultnoexcept

FactoryInfo | ( | PFactoryInfo && | other | ) |
| noexcept

FactoryInfo | ( | FactoryInfo && |  | ) |
| defaultnoexcept

## Member Function Documentation

FactoryInfo& operator= | ( | const FactoryInfo & |  | ) |
| defaultnoexcept

FactoryInfo & operator= | ( | FactoryInfo && | other | ) |
| noexcept

FactoryInfo & operator= | ( | PFactoryInfo && | other | ) |
| noexcept

std::string vendor | ( |  | ) | const
| noexcept

std::string url | ( |  | ) | const
| noexcept

std::string email | ( |  | ) | const
| noexcept

Steinberg::int32 flags | ( |  | ) | const
| noexcept

bool classesDiscardable | ( |  | ) | const
| noexcept

bool licenseCheck | ( |  | ) | const
| noexcept

bool componentNonDiscardable | ( |  | ) | const
| noexcept

PFactoryInfo& get | ( |  | ) |
| inlinenoexcept

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.